curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}
Document API
List Documents
List documents in a knowledge base
GET
/
api
/
knowledge-base
/
{id}
/
documents
curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}
Bearer JWT Token
Knowledge base ID
List of documents
Show document object
Show document object
Document unique identifier
File name
File MIME type
File size in bytes
Processing status:
pending | processing | completed | failedNumber of semantic chunks (available after processing is complete)
Error message (available when status is
failed)Upload time (ISO 8601)
curl --request GET \
--url https://zeus-api.agentspro.cn/api/knowledge-base/kb_abc123/documents \
--header 'Authorization: Bearer <token>'
{
"documents": [
{
"id": "doc_xyz789",
"fileName": "product-guide.pdf",
"fileType": "application/pdf",
"fileSize": 2048576,
"status": "completed",
"chunkCount": 45,
"errorMessage": null,
"createdAt": "2025-06-10T08:00:00Z"
}
]
}
⌘I